import React from "react";
import { useRef, useState } from "react";
import { CheckmarkIcon } from "../Icons/Icons";
import styles from "./CheckBox.module.css";
import ContentBox from "../ContentBox/ContentBox";
function CheckBox({ checked }) {
    const [isChecked, setIsChecked] = useState(Boolean(checked));
    const toggleChecked = () => setIsChecked(!isChecked);
    const checkmarkRef = useRef(null);
    return (React.createElement(ContentBox, { onClick: toggleChecked, className: styles.checkbox },
        React.createElement("button", { className: styles.innerBox }, isChecked && (React.createElement(CheckmarkIcon, { ref: checkmarkRef, className: styles.checkmark })))));
}
export default CheckBox;
