import React from "react";
import { Children } from "react";
import ContentBox from "../ContentBox/ContentBox";
import styles from "./Table.module.css";
function Table({ children, className }) {
    return (React.createElement("div", { className: `${styles.tableContainer} ${className || ""}` },
        React.createElement("div", { className: `${styles.tableVerticalContainer}` },
            React.createElement("div", { style: { overflow: "hidden" } },
                React.createElement("div", { className: styles.tableHorizontalContainer },
                    React.createElement("div", { className: `${styles.table}` }, children))))));
}
export function TableRow({ children }) {
    const arrayChildren = Children.toArray(children);
    return (React.createElement(ContentBox, { className: styles.row }, arrayChildren.map((child, index) => {
        return (React.createElement("div", { key: index, className: styles.cell }, child));
    })));
}
export default Table;
