Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var reactTransitionGroup = require('react-transition-group');
var reactRouterDom = require('react-router-dom');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

/******************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z$b = ".Buttons-module_primary-500__mN-Jn {\n  background-color: hsl(47deg, 100%, 50%);\n}\n.Buttons-module_primary-500__mN-Jn:hover {\n  filter: brightness(1.05);\n}\n\n.Buttons-module_secondary-900__P8yE7 {\n  background-color: hsl(0deg, 0%, 13%);\n}\n.Buttons-module_secondary-900__P8yE7:hover {\n  filter: brightness(1.2);\n}\n\n.Buttons-module_secondary-800__Ei-6t {\n  background-color: hsl(0deg, 0%, 21%);\n}\n.Buttons-module_secondary-800__Ei-6t:hover {\n  filter: brightness(1.2);\n}\n\n.Buttons-module_largeButton__t1nrz, .Buttons-module_mediumButton__NM-RS, .Buttons-module_smallButton__IMAKZ {\n  max-width: fit-content;\n  color: hsl(0deg, 0%, 100%);\n  border: none;\n  font-weight: 400;\n}\n.Buttons-module_largeButton__t1nrz:active, .Buttons-module_mediumButton__NM-RS:active, .Buttons-module_smallButton__IMAKZ:active {\n  transform: scale(1.05);\n}\n.Buttons-module_largeButton__t1nrz:hover, .Buttons-module_mediumButton__NM-RS:hover, .Buttons-module_smallButton__IMAKZ:hover {\n  cursor: pointer;\n}\n\n.Buttons-module_smallButton__IMAKZ {\n  padding: 0.25em 1em 0.25em 1em;\n  font-size: 1rem;\n}\n\n.Buttons-module_mediumButton__NM-RS {\n  padding: 0.35em 1.4em 0.35em 1.4em;\n  font-size: 1.5rem;\n}\n\n.Buttons-module_largeButton__t1nrz {\n  padding: 0.5em 2em 0.5em 2em;\n  font-size: 2rem;\n  font-weight: 600;\n}";
var styles$b = {"primary-500":"Buttons-module_primary-500__mN-Jn","secondary-900":"Buttons-module_secondary-900__P8yE7","secondary-800":"Buttons-module_secondary-800__Ei-6t","largeButton":"Buttons-module_largeButton__t1nrz","mediumButton":"Buttons-module_mediumButton__NM-RS","smallButton":"Buttons-module_smallButton__IMAKZ"};
styleInject(css_248z$b);

var ButtonSize;
(function (ButtonSize) {
    ButtonSize["large"] = "large";
    ButtonSize["medium"] = "medium";
    ButtonSize["small"] = "small";
})(ButtonSize || (ButtonSize = {}));
function Button(_a) {
    var className = _a.className, children = _a.children, color = _a.color, size = _a.size, props = __rest(_a, ["className", "children", "color", "size"]);
    console.log(size);
    return (React__default["default"].createElement("button", __assign({ className: "".concat(styles$b["".concat(size, "Button")], " ").concat(className, " ").concat(styles$b[color]) }, props), children));
}
function LargeButton(_a) {
    var props = __rest(_a, []);
    return React__default["default"].createElement(Button, __assign({ size: ButtonSize.large }, props));
}
function SmallButton(_a) {
    var props = __rest(_a, []);
    return React__default["default"].createElement(Button, __assign({ size: ButtonSize.small }, props));
}
function MediumButton(_a) {
    var props = __rest(_a, []);
    return React__default["default"].createElement(Button, __assign({ size: ButtonSize.medium }, props));
}

exports.Direction = void 0;
(function (Direction) {
    Direction["up"] = "up";
    Direction["down"] = "down";
    Direction["left"] = "left";
    Direction["right"] = "right";
})(exports.Direction || (exports.Direction = {}));

var css_248z$a = ".Icons-module_defaultIconClasses__XfsfX {\n  height: 1rem;\n  width: 1rem;\n  display: inline;\n}\n\n.Icons-module_arrow__Ud5eo {\n  transition: all 1s ease-in-out;\n}";
var styles$a = {"defaultIconClasses":"Icons-module_defaultIconClasses__XfsfX","arrow":"Icons-module_arrow__Ud5eo"};
styleInject(css_248z$a);

function CloseIcon(_a) {
    var className = _a.className, color = _a.color;
    return (React__default["default"].createElement("svg", { xmlns: "http://www.w3.org/2000/svg", className: className ? className : styles$a.defaultIconClasses, fill: "none", style: { color: color }, viewBox: "0 0 24 24", stroke: color ? color : "currentColor", strokeWidth: "2" },
        React__default["default"].createElement("path", { strokeLinecap: "round", strokeLinejoin: "round", d: "M6 18L18 6M6 6l12 12" })));
}
function ArrowIcon(_a) {
    var direction = _a.direction, className = _a.className, color = _a.color;
    var rotation = direction === exports.Direction.up
        ? "rotate(180deg)"
        : direction === exports.Direction.left
            ? "rotate(90deg)"
            : direction === exports.Direction.right
                ? "rotate(-90deg)"
                : "rotate(0deg)";
    return (React__default["default"].createElement("svg", { xmlns: "http://www.w3.org/2000/svg", className: className ? className : styles$a.defaultIconClasses, viewBox: "0 0 20 20", style: {
            transform: rotation,
            transition: "all",
            transitionDuration: "0.25s",
        }, fill: color ? color : "currentColor" },
        React__default["default"].createElement("path", { fillRule: "evenodd", d: "M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z", clipRule: "evenodd" })));
}
function MenuIcon(_a) {
    var color = _a.color, className = _a.className;
    return (React__default["default"].createElement("svg", { xmlns: "http://www.w3.org/2000/svg", className: className ? className : styles$a.defaultIconClasses, fill: "none", viewBox: "0 0 24 24", stroke: color ? color : "currentColor", strokeWidth: "2", style: { color: color } },
        React__default["default"].createElement("path", { strokeLinecap: "round", strokeLinejoin: "round", d: "M4 6h16M4 12h16M4 18h16" })));
}
function PlayIcon(_a) {
    var className = _a.className, color = _a.color;
    return (React__default["default"].createElement("svg", { xmlns: "http://www.w3.org/2000/svg", className: className ? className : styles$a.defaultIconClasses, fill: "none", viewBox: "0 0 24 24", stroke: color ? color : "currentColor", strokeWidth: "2" },
        React__default["default"].createElement("path", { strokeLinecap: "round", strokeLinejoin: "round", d: "M14.752 11.168l-3.197-2.132A1 1 0 0010 9.87v4.263a1 1 0 001.555.832l3.197-2.132a1 1 0 000-1.664z" }),
        React__default["default"].createElement("path", { strokeLinecap: "round", strokeLinejoin: "round", d: "M21 12a9 9 0 11-18 0 9 9 0 0118 0z" })));
}
function SortIcon(_a) {
    var className = _a.className, color = _a.color;
    return (React__default["default"].createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: "20", height: "20", className: className ? className : styles$a.defaultIconClasses, fill: color ? color : "currentColor", viewBox: "0 0 16 16" },
        React__default["default"].createElement("path", { d: "M3.5 2.5a.5.5 0 0 0-1 0v8.793l-1.146-1.147a.5.5 0 0 0-.708.708l2 1.999.007.007a.497.497 0 0 0 .7-.006l2-2a.5.5 0 0 0-.707-.708L3.5 11.293V2.5zm3.5 1a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7a.5.5 0 0 1-.5-.5zM7.5 6a.5.5 0 0 0 0 1h5a.5.5 0 0 0 0-1h-5zm0 3a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1h-3zm0 3a.5.5 0 0 0 0 1h1a.5.5 0 0 0 0-1h-1z" })));
}
function StarIcon(_a) {
    var color = _a.color, className = _a.className;
    return (React__default["default"].createElement("svg", { xmlns: "http://www.w3.org/2000/svg", className: className ? className : styles$a.defaultIconClasses, viewBox: "0 0 20 20", fill: color ? color : "currentColor" },
        React__default["default"].createElement("path", { d: "M9.049 2.927c.3-.921 1.603-.921 1.902 0l1.07 3.292a1 1 0 00.95.69h3.462c.969 0 1.371 1.24.588 1.81l-2.8 2.034a1 1 0 00-.364 1.118l1.07 3.292c.3.921-.755 1.688-1.54 1.118l-2.8-2.034a1 1 0 00-1.175 0l-2.8 2.034c-.784.57-1.838-.197-1.539-1.118l1.07-3.292a1 1 0 00-.364-1.118L2.98 8.72c-.783-.57-.38-1.81.588-1.81h3.461a1 1 0 00.951-.69l1.07-3.292z" })));
}
function UserIcon(_a) {
    var className = _a.className, color = _a.color;
    return (React__default["default"].createElement("svg", { xmlns: "http://www.w3.org/2000/svg", className: className ? className : styles$a.defaultIconClasses, fill: "none", viewBox: "0 0 24 24", stroke: color ? color : "currentColor", strokeWidth: "2" },
        React__default["default"].createElement("path", { strokeLinecap: "round", strokeLinejoin: "round", d: "M16 7a4 4 0 11-8 0 4 4 0 018 0zM12 14a7 7 0 00-7 7h14a7 7 0 00-7-7z" })));
}
function CheckmarkIcon(_a) {
    var className = _a.className, color = _a.color;
    return (React__default["default"].createElement("svg", { className: className ? className : styles$a.defaultIconClasses, stroke: color ? color : "currentColor", viewBox: "0 0 42 33", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
        React__default["default"].createElement("path", { "fill-rule": "evenodd", "clip-rule": "evenodd", d: "M41.235 5.22571L16.7281 32.9727L0.686327 21.3709L5.0795 15.5343L15.6367 23.1695L35.6651 0.493142L41.235 5.22571Z", fill: "#FFC700" })));
}

var css_248z$9 = ".CheckBox-module_innerBox__cv08o:hover, .CheckBox-module_checkbox__bAIPS:hover {\n  outline: none;\n}\n.CheckBox-module_innerBox__cv08o:focus, .CheckBox-module_checkbox__bAIPS:focus {\n  border: none;\n  outline: none;\n}\n\n.CheckBox-module_checkbox__bAIPS {\n  background-color: hsl(0deg, 0%, 21%);\n  min-width: attr(size);\n  min-height: attr(size);\n  display: flex;\n  justify-content: center;\n  align-items: center;\n}\n\n.CheckBox-module_innerBox__cv08o {\n  position: relative;\n  border: none;\n  background-color: hsl(0deg, 0%, 13%);\n  width: 80%;\n  height: 80%;\n}\n.CheckBox-module_innerBox__cv08o:hover {\n  cursor: pointer;\n}\n\n.CheckBox-module_checkmark__0GyX1, .CheckBox-module_checkmarkEnterActive__4mn-3, .CheckBox-module_checkmarkEnter__e-d8q {\n  height: 110%;\n  top: -20%;\n  left: -10%;\n  position: absolute;\n  transition: all 300ms ease;\n}\n\n.CheckBox-module_checkmarkEnter__e-d8q {\n  transform: rotate(3turn);\n}\n\n.CheckBox-module_checkmarkEnterActive__4mn-3 {\n  transform: rotate(0turn);\n  opacity: 1;\n}";
var styles$9 = {"innerBox":"CheckBox-module_innerBox__cv08o","checkbox":"CheckBox-module_checkbox__bAIPS","checkmark":"CheckBox-module_checkmark__0GyX1","checkmarkEnterActive":"CheckBox-module_checkmarkEnterActive__4mn-3","checkmarkEnter":"CheckBox-module_checkmarkEnter__e-d8q"};
styleInject(css_248z$9);

var css_248z$8 = ".ContentBox-module_row__OHVga {\n  display: flex;\n  flex-direction: row;\n}\n\n.ContentBox-module_column__idRo9 {\n  display: flex;\n  flex-direction: column;\n}\n\n.ContentBox-module_contentBox__Yond5 {\n  box-shadow: 0px 15px 12px 0px rgba(0, 0, 0, 0.2), 0px 19px 38px 0px rgba(0, 0, 0, 0.1);\n  border-radius: 1px;\n  border: 0.5px double rgba(255, 255, 255, 0.2);\n  border-image: -webkit-linear-gradient(80deg, transparent, transparent, transparent, rgba(255, 255, 255, 0.2)) 1;\n  background-color: hsl(0deg, 0%, 21%);\n}";
var styles$8 = {"row":"ContentBox-module_row__OHVga","column":"ContentBox-module_column__idRo9","contentBox":"ContentBox-module_contentBox__Yond5"};
styleInject(css_248z$8);

function ContentBox(_a) {
    var children = _a.children, className = _a.className, props = __rest(_a, ["children", "className"]);
    return (React__default["default"].createElement("div", __assign({ className: "".concat(styles$8.contentBox, " ").concat(className) }, props), children));
}

function CheckBox(_a) {
    var checked = _a.checked, size = _a.size;
    var _b = React.useState(Boolean(checked)), isChecked = _b[0], setIsChecked = _b[1];
    var toggleChecked = function () { return setIsChecked(!isChecked); };
    var checkmarkRef = React.useRef(null);
    return (React__default["default"].createElement(ContentBox, { onClick: toggleChecked, 
        // @ts-ignore
        size: size || "2em", className: styles$9.checkbox },
        React__default["default"].createElement("button", { className: styles$9.innerBox }, isChecked && (React__default["default"].createElement(CheckmarkIcon, { ref: checkmarkRef, className: styles$9.checkmark })))));
}

var css_248z$7 = ".DropDownInput-module_row__fhrAb {\n  display: flex;\n  flex-direction: row;\n}\n\n.DropDownInput-module_column__BMeLo {\n  display: flex;\n  flex-direction: column;\n}\n\n.DropDownInput-module_title__8lWc9 {\n  padding: 0.5em;\n  position: relative;\n  display: flex;\n  border: none;\n  justify-content: space-between;\n  align-items: center;\n  font-size: 1.2rem;\n  background-color: hsl(0deg, 0%, 13%);\n  color: hsl(0deg, 0%, 83%);\n}\n.DropDownInput-module_title__8lWc9.DropDownInput-module_blocked__keq-m {\n  cursor: no-drop;\n}\n.DropDownInput-module_title__8lWc9:hover {\n  cursor: pointer;\n}\n.DropDownInput-module_title__8lWc9:hover {\n  filter: brightness(1.2);\n}\n.DropDownInput-module_title__8lWc9 .DropDownInput-module_arrow__XJFhA {\n  height: 1.2rem;\n}\n\n.DropDownInput-module_menuExitActive__SEXXC, .DropDownInput-module_menuExit__VByro, .DropDownInput-module_menuEnterActive__xwbiy, .DropDownInput-module_menuEnter__vNeKc, .DropDownInput-module_menu__LpCOW {\n  z-index: 1;\n  background-color: hsl(0deg, 0%, 13%);\n  position: absolute;\n  list-style: none;\n  padding: 0;\n}\n.DropDownInput-module_menuExitActive__SEXXC li, .DropDownInput-module_menuExit__VByro li, .DropDownInput-module_menuEnterActive__xwbiy li, .DropDownInput-module_menuEnter__vNeKc li, .DropDownInput-module_menu__LpCOW li {\n  background-color: inherit;\n  padding: 0.7em;\n  color: hsl(0deg, 0%, 100%);\n}\n.DropDownInput-module_menuExitActive__SEXXC li:hover, .DropDownInput-module_menuExit__VByro li:hover, .DropDownInput-module_menuEnterActive__xwbiy li:hover, .DropDownInput-module_menuEnter__vNeKc li:hover, .DropDownInput-module_menu__LpCOW li:hover {\n  filter: brightness(1.2);\n  cursor: pointer;\n}\n.DropDownInput-module_menuExitActive__SEXXC .DropDownInput-module_selected__OvCaw, .DropDownInput-module_menuExit__VByro .DropDownInput-module_selected__OvCaw, .DropDownInput-module_menuEnterActive__xwbiy .DropDownInput-module_selected__OvCaw, .DropDownInput-module_menuEnter__vNeKc .DropDownInput-module_selected__OvCaw, .DropDownInput-module_menu__LpCOW .DropDownInput-module_selected__OvCaw {\n  filter: brightness(1.2);\n}\n\n.DropDownInput-module_menuEnter__vNeKc {\n  opacity: 0;\n  transform: translateY(-10%);\n}\n\n.DropDownInput-module_menuEnterActive__xwbiy {\n  opacity: 1;\n  transform: translateY(0%);\n  transition: all 300ms ease;\n}\n\n.DropDownInput-module_menuExit__VByro {\n  opacity: 1;\n}\n\n.DropDownInput-module_menuExitActive__SEXXC {\n  opacity: 0;\n  transform: translateY(-10%);\n  transition: all 300ms ease;\n}\n\n.DropDownInput-module_label__LwMYr {\n  color: hsl(0deg, 0%, 83%);\n  padding: 0.5em;\n}";
var styles$7 = {"row":"DropDownInput-module_row__fhrAb","column":"DropDownInput-module_column__BMeLo","title":"DropDownInput-module_title__8lWc9","blocked":"DropDownInput-module_blocked__keq-m","arrow":"DropDownInput-module_arrow__XJFhA","menuExitActive":"DropDownInput-module_menuExitActive__SEXXC","menuExit":"DropDownInput-module_menuExit__VByro","menuEnterActive":"DropDownInput-module_menuEnterActive__xwbiy","menuEnter":"DropDownInput-module_menuEnter__vNeKc","menu":"DropDownInput-module_menu__LpCOW","selected":"DropDownInput-module_selected__OvCaw","label":"DropDownInput-module_label__LwMYr"};
styleInject(css_248z$7);

function useClickOutside(onClickOutside, ignoreRef) {
    var ref = React.useRef();
    var handleClickOutside = function (event) {
        if (!ref.current ||
            ref.current.contains(event.target) ||
            (ignoreRef !== undefined && ignoreRef.current.contains(event.target))) {
            return;
        }
        onClickOutside();
    };
    React.useEffect(function () {
        document.addEventListener("click", handleClickOutside, true);
        return function () {
            document.removeEventListener("click", handleClickOutside, true);
        };
    }, []);
    return { ref: ref };
}

function useParentProps() {
    var parentRef = React.useRef(null);
    var _a = React.useState({
        right: 0,
        width: 0,
        height: 0,
        top: 0,
        left: 0,
        bottom: 0,
    }), parentProps = _a[0], setParentProps = _a[1];
    React.useEffect(function () {
        function handleResize() {
            if (!parentRef || !parentRef.current)
                return;
            setParentProps({
                width: parentRef.current.offsetWidth,
                height: parentRef.current.offsetHeight,
                top: parentRef.current.offsetTop,
                right: parentRef.current.offsetLeft + parentRef.current.offsetWidth,
                left: parentRef.current.offsetLeft,
                bottom: parentRef.current.offsetHeight + parentRef.current.offsetTop,
            });
        }
        // Add event listener
        window.addEventListener("resize", handleResize);
        // Call handler right away so state gets updated with initial window size
        handleResize();
        // Remove event listener on cleanup
        return function () { return window.removeEventListener("resize", handleResize); };
    }, [parentRef]); // Empty array ensures that effect is only run on mount
    return { ref: parentRef, parentProps: parentProps };
}

function DropDownInput(_a) {
    var options = _a.options, label = _a.label, onChange = _a.onChange;
    var _b = React.useState(), menuTitleIndex = _b[0], setMenuTitleIndex = _b[1];
    var _c = React.useState(false), isOpen = _c[0], setIsOpen = _c[1];
    var _d = useParentProps(), parentRef = _d.ref, parentProps = _d.parentProps;
    var menuRef = useClickOutside(function () { return setIsOpen(false); }, parentRef).ref;
    var handleMenuToggle = function () {
        setIsOpen(!isOpen);
    };
    var handleSelect = function (new_title_index) {
        setMenuTitleIndex(new_title_index);
        onChange();
        setIsOpen(false);
    };
    var inputWidth = Math.max(Math.max.apply(Math, options.map(function (el) { return el.length; })), "Select".length) *
        1.7;
    return (React__default["default"].createElement(React__default["default"].Fragment, null,
        label && React__default["default"].createElement("label", { className: styles$7.label }, label),
        React__default["default"].createElement("button", { style: {
                width: "".concat(inputWidth, "ch"),
            }, ref: parentRef, className: styles$7.title, onClick: handleMenuToggle },
            React__default["default"].createElement("span", null, menuTitleIndex !== undefined ? options[menuTitleIndex] : "Select"),
            React__default["default"].createElement(ArrowIcon, { className: styles$7.arrow, direction: exports.Direction.down })),
        React__default["default"].createElement(reactTransitionGroup.CSSTransition, { nodeRef: menuRef, in: isOpen, timeout: 300, classNames: {
                enter: styles$7.menuEnter,
                enterActive: styles$7.menuEnterActive,
                exit: styles$7.menuExit,
                exitActive: styles$7.menuExitActive,
            }, unmountOnExit: true },
            React__default["default"].createElement("ul", { ref: menuRef, className: styles$7.menu, style: {
                    width: "".concat(inputWidth + 3.5, "ch"),
                    top: "".concat(parentProps.top + 30, "px"),
                    left: "".concat(parentProps.left, "px"),
                } }, options.map(function (value, index) {
                return (React__default["default"].createElement("li", { className: "".concat(index === menuTitleIndex ? styles$7.selected : ""), key: index, onClick: function () { return handleSelect(index); } }, value));
            })))));
}

var css_248z$6 = ".DropDownMenu-module_row__yPGOw {\n  display: flex;\n  flex-direction: row;\n}\n\n.DropDownMenu-module_column__orSB7 {\n  display: flex;\n  flex-direction: column;\n}\n\n.DropDownMenu-module_title__7RmFv {\n  padding: 0.5em;\n  position: relative;\n  display: inline-flex;\n  border: none;\n  justify-content: space-between;\n  align-items: center;\n  font-size: 1.2rem;\n  background-color: hsl(0deg, 0%, 21%);\n  color: hsl(0deg, 0%, 83%);\n}\n.DropDownMenu-module_title__7RmFv:hover {\n  cursor: pointer;\n}\n.DropDownMenu-module_title__7RmFv:hover {\n  filter: brightness(1.2);\n}\n.DropDownMenu-module_title__7RmFv .DropDownMenu-module_arrow__xm7Vq {\n  height: 1.2rem;\n}\n\n.DropDownMenu-module_titleLink__65mdP {\n  padding: 0.35em 3em 0.5em 0.5em;\n  max-width: fit-content;\n  display: inline;\n  text-decoration: none;\n  font-size: 1.2rem;\n  background-color: hsl(0deg, 0%, 21%);\n  color: hsl(0deg, 0%, 83%);\n}\n.DropDownMenu-module_titleLink__65mdP:hover {\n  cursor: pointer;\n}\n.DropDownMenu-module_titleLink__65mdP:hover {\n  filter: brightness(1.2);\n}\n\n.DropDownMenu-module_menuEnterActiveright__-F3Su, .DropDownMenu-module_menuEnterright__s1t5j, .DropDownMenu-module_menuExitActiveright__CA1Q7, .DropDownMenu-module_menuEnterActiveleft__hOi-G, .DropDownMenu-module_menuEnterleft__e49K8, .DropDownMenu-module_menuExitActiveleft__WpNgN, .DropDownMenu-module_menuEnterActiveup__7R3xc, .DropDownMenu-module_menuEnterup__9pgJF, .DropDownMenu-module_menuExitActiveup__IvPly, .DropDownMenu-module_menuEnterActivedown__UfbUH, .DropDownMenu-module_menuEnterdown__UkW-c, .DropDownMenu-module_menuExitActivedown__35fUY, .DropDownMenu-module_menuExitdown__JMWPa,\n.DropDownMenu-module_menuExitup__RN6Q8,\n.DropDownMenu-module_menuExitleft__LWyAy, .DropDownMenu-module_menu__UWJOB {\n  z-index: 1;\n  background-color: hsl(0deg, 0%, 21%);\n  position: absolute;\n  list-style: none;\n  padding: 0;\n  margin-bottom: 2em;\n}\n.DropDownMenu-module_menuEnterActiveright__-F3Su button, .DropDownMenu-module_menuEnterright__s1t5j button, .DropDownMenu-module_menuExitActiveright__CA1Q7 button, .DropDownMenu-module_menuEnterActiveleft__hOi-G button, .DropDownMenu-module_menuEnterleft__e49K8 button, .DropDownMenu-module_menuExitActiveleft__WpNgN button, .DropDownMenu-module_menuEnterActiveup__7R3xc button, .DropDownMenu-module_menuEnterup__9pgJF button, .DropDownMenu-module_menuExitActiveup__IvPly button, .DropDownMenu-module_menuEnterActivedown__UfbUH button, .DropDownMenu-module_menuEnterdown__UkW-c button, .DropDownMenu-module_menuExitActivedown__35fUY button, .DropDownMenu-module_menuExitdown__JMWPa button,\n.DropDownMenu-module_menuExitup__RN6Q8 button,\n.DropDownMenu-module_menuExitleft__LWyAy button, .DropDownMenu-module_menu__UWJOB button {\n  display: flex;\n  width: 100%;\n  text-align: left;\n  background-color: transparent;\n  border: none;\n  font-size: 1rem;\n  padding: 0;\n  color: hsl(0deg, 0%, 83%);\n}\n.DropDownMenu-module_menuEnterActiveright__-F3Su button:hover, .DropDownMenu-module_menuEnterright__s1t5j button:hover, .DropDownMenu-module_menuExitActiveright__CA1Q7 button:hover, .DropDownMenu-module_menuEnterActiveleft__hOi-G button:hover, .DropDownMenu-module_menuEnterleft__e49K8 button:hover, .DropDownMenu-module_menuExitActiveleft__WpNgN button:hover, .DropDownMenu-module_menuEnterActiveup__7R3xc button:hover, .DropDownMenu-module_menuEnterup__9pgJF button:hover, .DropDownMenu-module_menuExitActiveup__IvPly button:hover, .DropDownMenu-module_menuEnterActivedown__UfbUH button:hover, .DropDownMenu-module_menuEnterdown__UkW-c button:hover, .DropDownMenu-module_menuExitActivedown__35fUY button:hover, .DropDownMenu-module_menuExitdown__JMWPa button:hover,\n.DropDownMenu-module_menuExitup__RN6Q8 button:hover,\n.DropDownMenu-module_menuExitleft__LWyAy button:hover, .DropDownMenu-module_menu__UWJOB button:hover {\n  cursor: pointer;\n}\n.DropDownMenu-module_menuEnterActiveright__-F3Su button .DropDownMenu-module_submenuArrow__NkGHN, .DropDownMenu-module_menuEnterright__s1t5j button .DropDownMenu-module_submenuArrow__NkGHN, .DropDownMenu-module_menuExitActiveright__CA1Q7 button .DropDownMenu-module_submenuArrow__NkGHN, .DropDownMenu-module_menuEnterActiveleft__hOi-G button .DropDownMenu-module_submenuArrow__NkGHN, .DropDownMenu-module_menuEnterleft__e49K8 button .DropDownMenu-module_submenuArrow__NkGHN, .DropDownMenu-module_menuExitActiveleft__WpNgN button .DropDownMenu-module_submenuArrow__NkGHN, .DropDownMenu-module_menuEnterActiveup__7R3xc button .DropDownMenu-module_submenuArrow__NkGHN, .DropDownMenu-module_menuEnterup__9pgJF button .DropDownMenu-module_submenuArrow__NkGHN, .DropDownMenu-module_menuExitActiveup__IvPly button .DropDownMenu-module_submenuArrow__NkGHN, .DropDownMenu-module_menuEnterActivedown__UfbUH button .DropDownMenu-module_submenuArrow__NkGHN, .DropDownMenu-module_menuEnterdown__UkW-c button .DropDownMenu-module_submenuArrow__NkGHN, .DropDownMenu-module_menuExitActivedown__35fUY button .DropDownMenu-module_submenuArrow__NkGHN, .DropDownMenu-module_menuExitdown__JMWPa button .DropDownMenu-module_submenuArrow__NkGHN,\n.DropDownMenu-module_menuExitup__RN6Q8 button .DropDownMenu-module_submenuArrow__NkGHN,\n.DropDownMenu-module_menuExitleft__LWyAy button .DropDownMenu-module_submenuArrow__NkGHN, .DropDownMenu-module_menu__UWJOB button .DropDownMenu-module_submenuArrow__NkGHN {\n  margin-left: auto;\n  vertical-align: center;\n  height: 1rem;\n}\n.DropDownMenu-module_menuEnterActiveright__-F3Su li, .DropDownMenu-module_menuEnterright__s1t5j li, .DropDownMenu-module_menuExitActiveright__CA1Q7 li, .DropDownMenu-module_menuEnterActiveleft__hOi-G li, .DropDownMenu-module_menuEnterleft__e49K8 li, .DropDownMenu-module_menuExitActiveleft__WpNgN li, .DropDownMenu-module_menuEnterActiveup__7R3xc li, .DropDownMenu-module_menuEnterup__9pgJF li, .DropDownMenu-module_menuExitActiveup__IvPly li, .DropDownMenu-module_menuEnterActivedown__UfbUH li, .DropDownMenu-module_menuEnterdown__UkW-c li, .DropDownMenu-module_menuExitActivedown__35fUY li, .DropDownMenu-module_menuExitdown__JMWPa li,\n.DropDownMenu-module_menuExitup__RN6Q8 li,\n.DropDownMenu-module_menuExitleft__LWyAy li, .DropDownMenu-module_menu__UWJOB li {\n  color: hsl(0deg, 0%, 83%);\n}\n.DropDownMenu-module_menuEnterActiveright__-F3Su li:hover, .DropDownMenu-module_menuEnterright__s1t5j li:hover, .DropDownMenu-module_menuExitActiveright__CA1Q7 li:hover, .DropDownMenu-module_menuEnterActiveleft__hOi-G li:hover, .DropDownMenu-module_menuEnterleft__e49K8 li:hover, .DropDownMenu-module_menuExitActiveleft__WpNgN li:hover, .DropDownMenu-module_menuEnterActiveup__7R3xc li:hover, .DropDownMenu-module_menuEnterup__9pgJF li:hover, .DropDownMenu-module_menuExitActiveup__IvPly li:hover, .DropDownMenu-module_menuEnterActivedown__UfbUH li:hover, .DropDownMenu-module_menuEnterdown__UkW-c li:hover, .DropDownMenu-module_menuExitActivedown__35fUY li:hover, .DropDownMenu-module_menuExitdown__JMWPa li:hover,\n.DropDownMenu-module_menuExitup__RN6Q8 li:hover,\n.DropDownMenu-module_menuExitleft__LWyAy li:hover, .DropDownMenu-module_menu__UWJOB li:hover {\n  background-color: inherit;\n  filter: brightness(1.2);\n  cursor: pointer;\n}\n.DropDownMenu-module_menuEnterActiveright__-F3Su li > *, .DropDownMenu-module_menuEnterright__s1t5j li > *, .DropDownMenu-module_menuExitActiveright__CA1Q7 li > *, .DropDownMenu-module_menuEnterActiveleft__hOi-G li > *, .DropDownMenu-module_menuEnterleft__e49K8 li > *, .DropDownMenu-module_menuExitActiveleft__WpNgN li > *, .DropDownMenu-module_menuEnterActiveup__7R3xc li > *, .DropDownMenu-module_menuEnterup__9pgJF li > *, .DropDownMenu-module_menuExitActiveup__IvPly li > *, .DropDownMenu-module_menuEnterActivedown__UfbUH li > *, .DropDownMenu-module_menuEnterdown__UkW-c li > *, .DropDownMenu-module_menuExitActivedown__35fUY li > *, .DropDownMenu-module_menuExitdown__JMWPa li > *,\n.DropDownMenu-module_menuExitup__RN6Q8 li > *,\n.DropDownMenu-module_menuExitleft__LWyAy li > *, .DropDownMenu-module_menu__UWJOB li > * {\n  padding: 1em;\n}\n\n.DropDownMenu-module_linkTest__4dAOi {\n  display: inline-block;\n  width: 100%;\n  font-size: 1rem;\n  color: hsl(0deg, 0%, 83%);\n  padding: 0.9rem;\n}\n\n.DropDownMenu-module_menuExitdown__JMWPa,\n.DropDownMenu-module_menuExitup__RN6Q8,\n.DropDownMenu-module_menuExitleft__LWyAy {\n  opacity: 1;\n  position: absolute;\n  user-select: none;\n  pointer-events: none;\n}\n\n.DropDownMenu-module_menuExitActivedown__35fUY {\n  opacity: 0;\n  transform: translateY(-50%);\n  transition: all 300ms ease;\n}\n\n.DropDownMenu-module_menuEnterdown__UkW-c {\n  pointer-events: none;\n  opacity: 0;\n  transform: translateY(-50%);\n}\n\n.DropDownMenu-module_menuEnterActivedown__UfbUH {\n  opacity: 1;\n  transform: translateY(0%);\n  transition: all 300ms ease;\n}\n\n.DropDownMenu-module_menuExitActiveup__IvPly {\n  opacity: 0;\n  transform: translateY(50%);\n  transition: all 300ms ease;\n}\n\n.DropDownMenu-module_menuEnterup__9pgJF {\n  pointer-events: none;\n  opacity: 0;\n  transform: translateY(50%);\n}\n\n.DropDownMenu-module_menuEnterActiveup__7R3xc {\n  opacity: 1;\n  transform: translateY(0%);\n  transition: all 300ms ease;\n}\n\n.DropDownMenu-module_menuExitActiveleft__WpNgN {\n  opacity: 0;\n  transform: translateY(50%);\n  transition: all 300ms ease;\n}\n\n.DropDownMenu-module_menuEnterleft__e49K8 {\n  pointer-events: none;\n  opacity: 0;\n  transform: translateX(50%);\n}\n\n.DropDownMenu-module_menuEnterActiveleft__hOi-G {\n  opacity: 1;\n  transform: translateX(0%);\n  transition: all 300ms ease;\n}\n\n.DropDownMenu-module_menuExitActiveright__CA1Q7 {\n  opacity: 0;\n  transform: translateY(50%);\n  transition: all 300ms ease;\n}\n\n.DropDownMenu-module_menuEnterright__s1t5j {\n  pointer-events: none;\n  opacity: 0;\n  transform: translateX(-50%);\n}\n\n.DropDownMenu-module_menuEnterActiveright__-F3Su {\n  opacity: 1;\n  transform: translateX(0%);\n  transition: all 300ms ease;\n}";
var styles$6 = {"row":"DropDownMenu-module_row__yPGOw","column":"DropDownMenu-module_column__orSB7","title":"DropDownMenu-module_title__7RmFv","arrow":"DropDownMenu-module_arrow__xm7Vq","titleLink":"DropDownMenu-module_titleLink__65mdP","menuEnterActiveright":"DropDownMenu-module_menuEnterActiveright__-F3Su","menuEnterright":"DropDownMenu-module_menuEnterright__s1t5j","menuExitActiveright":"DropDownMenu-module_menuExitActiveright__CA1Q7","menuEnterActiveleft":"DropDownMenu-module_menuEnterActiveleft__hOi-G","menuEnterleft":"DropDownMenu-module_menuEnterleft__e49K8","menuExitActiveleft":"DropDownMenu-module_menuExitActiveleft__WpNgN","menuEnterActiveup":"DropDownMenu-module_menuEnterActiveup__7R3xc","menuEnterup":"DropDownMenu-module_menuEnterup__9pgJF","menuExitActiveup":"DropDownMenu-module_menuExitActiveup__IvPly","menuEnterActivedown":"DropDownMenu-module_menuEnterActivedown__UfbUH","menuEnterdown":"DropDownMenu-module_menuEnterdown__UkW-c","menuExitActivedown":"DropDownMenu-module_menuExitActivedown__35fUY","menuExitdown":"DropDownMenu-module_menuExitdown__JMWPa","menuExitup":"DropDownMenu-module_menuExitup__RN6Q8","menuExitleft":"DropDownMenu-module_menuExitleft__LWyAy","menu":"DropDownMenu-module_menu__UWJOB","submenuArrow":"DropDownMenu-module_submenuArrow__NkGHN","linkTest":"DropDownMenu-module_linkTest__4dAOi"};
styleInject(css_248z$6);

function Link1(_a) {
    var href = _a.href, className = _a.className, children = _a.children, props = __rest(_a, ["href", "className", "children"]);
    return (React__default["default"].createElement(reactRouterDom.Link, __assign({ to: href }, props),
        React__default["default"].createElement("a", { className: className }, children)));
}

var getArrowDirection = function (menuPosition, isOpen) {
    switch (menuPosition) {
        case exports.Direction.down:
            if (isOpen)
                return exports.Direction.up;
            return exports.Direction.down;
        case exports.Direction.up:
            if (isOpen)
                return exports.Direction.down;
            return exports.Direction.up;
        case exports.Direction.left:
            if (isOpen)
                return exports.Direction.right;
            return exports.Direction.left;
        case exports.Direction.right:
            if (isOpen)
                return exports.Direction.left;
            return exports.Direction.right;
    }
};
function DropDownMenu(_a) {
    var _b;
    var menuItems = _a.menuItems, label = _a.label, menuPosition = _a.menuPosition;
    menuPosition = menuPosition ? menuPosition : exports.Direction.down;
    var _c = React.useState(false), isOpen = _c[0], setIsOpen = _c[1];
    var _d = React.useState(menuItems), activeMenu = _d[0], setActiveMenu = _d[1];
    var _e = useParentProps(), parentRef = _e.ref, parentProps = _e.parentProps;
    var menuRef = useClickOutside(function () { return setIsOpen(false); }, parentRef).ref;
    var handleMenuToggle = function () {
        setIsOpen(!isOpen);
    };
    var arrowPosition = function () { return getArrowDirection(menuPosition, isOpen); };
    var getMenuPosition = function () {
        var _a;
        switch (menuPosition) {
            case exports.Direction.down:
                return {
                    top: "".concat(parentProps.top + 30, "px"),
                    left: "".concat(parentProps.left, "px"),
                };
            case exports.Direction.right:
                return {
                    top: "".concat(parentProps.top - 16, "px"),
                    left: "".concat(parentProps.right + 5, "px"),
                };
            case exports.Direction.left:
                return {
                    top: "".concat(parentProps.top - 16, "px"),
                    left: "".concat(parentProps.left - parentProps.width - 5, "px"),
                };
            case exports.Direction.up:
                var rowHeight = 60;
                return {
                    top: "".concat(parentProps.top - (((_a = activeMenu.submenu) === null || _a === void 0 ? void 0 : _a.length) || 0) * rowHeight, "px"),
                    left: "".concat(parentProps.left, "px"),
                };
        }
        return {};
    };
    var animationClasses = {
        enter: styles$6["menuEnter".concat(menuPosition)],
        enterActive: styles$6["menuEnterActive".concat(menuPosition)],
        exit: styles$6["menuExit".concat(menuPosition)],
        exitActive: styles$6["menuExitActive".concat(menuPosition)],
    };
    return (React__default["default"].createElement(React__default["default"].Fragment, null,
        menuItems.submenu ? (React__default["default"].createElement(React__default["default"].Fragment, null,
            label && React__default["default"].createElement("label", null, label),
            React__default["default"].createElement("button", { style: { width: "".concat(menuItems.title.length * 1.6, "ch") }, "aria-expanded": isOpen, ref: parentRef, className: styles$6.title, onClick: handleMenuToggle },
                React__default["default"].createElement("span", null, activeMenu.title),
                React__default["default"].createElement(ArrowIcon, { className: styles$6.arrow, direction: arrowPosition() })))) : (React__default["default"].createElement(Link1, { href: activeMenu.url, className: styles$6.titleLink, style: { maxWidth: "".concat(menuItems.title.length * 1.6, "ch") } }, activeMenu.title)),
        React__default["default"].createElement(reactTransitionGroup.CSSTransition, { nodeRef: menuRef, in: isOpen, timeout: 300, classNames: animationClasses, onExited: function () {
                setActiveMenu(menuItems);
            }, unmountOnExit: true },
            React__default["default"].createElement("ul", { ref: menuRef, className: styles$6.menu, style: __assign({ maxWidth: "fit-content", minWidth: "".concat(parentProps.width, "px") }, getMenuPosition()) }, (_b = activeMenu.submenu) === null || _b === void 0 ? void 0 : _b.map(function (item, index) {
                return (React__default["default"].createElement(MenuItems, { setMenu: function (menu) {
                        setIsOpen(false);
                        setActiveMenu(menu);
                        setIsOpen(true);
                    }, arrowPosition: getArrowDirection(menuPosition, false), key: index, item: item }));
            })))));
}
function MenuItems(_a) {
    var item = _a.item, setMenu = _a.setMenu, arrowPosition = _a.arrowPosition;
    return (React__default["default"].createElement("li", null, item.hasOwnProperty("submenu") ? (React__default["default"].createElement("button", { type: "button", onClick: function () {
            if (setMenu)
                setMenu(item);
        } },
        item.title,
        React__default["default"].createElement(ArrowIcon, { className: styles$6.submenuArrow, direction: arrowPosition }))) : (React__default["default"].createElement(Link1, { className: styles$6.linkTest, href: item.url }, item.title))));
}

var css_248z$5 = ".HorizontalMenu-module_menu__74g7B button,\n.HorizontalMenu-module_menu__74g7B a {\n  margin: 0 0.125em 0 0.125em;\n}";
var styles$5 = {"menu":"HorizontalMenu-module_menu__74g7B"};
styleInject(css_248z$5);

function HorizontalMenu(_a) {
    var menuItems = _a.menuItems, className = _a.className, menuPosition = _a.menuPosition;
    return (React__default["default"].createElement("div", { className: "".concat(styles$5.menu, " ").concat(className) }, menuItems.map(function (item, index) {
        return (React__default["default"].createElement(DropDownMenu, { key: index, menuItems: item, menuPosition: menuPosition }));
    })));
}

var css_248z$4 = ".LargeInput-module_inputBox__9YDAV {\n  color: hsl(0deg, 0%, 83%);\n  border: hsl(47deg, 100%, 50%) 2px solid;\n  border-radius: 1px;\n  height: 2em;\n  background-color: hsl(0deg, 0%, 13%);\n  font-size: 1rem;\n  padding: 0 0 0 1em;\n}\n.LargeInput-module_inputBox__9YDAV:focus {\n  outline: none;\n  border: transparent 2px solid;\n}";
var styles$4 = {"inputBox":"LargeInput-module_inputBox__9YDAV"};
styleInject(css_248z$4);

function LargeInput(props) {
    return React__default["default"].createElement("input", { className: styles$4.inputBox });
}

var css_248z$3 = ".NavBar-module_row__FAnz2 {\n  display: flex;\n  flex-direction: row;\n}\n\n.NavBar-module_column__12NEz {\n  display: flex;\n  flex-direction: column;\n}\n\n.NavBar-module_NavBar__Zy--L {\n  box-shadow: 0px 15px 12px 0px rgba(0, 0, 0, 0.2), 0px 19px 38px 0px rgba(0, 0, 0, 0.1);\n  position: fixed;\n  overflow: hidden;\n  height: 3.125rem;\n  background-color: hsl(0deg, 0%, 21%);\n  width: 100%;\n  display: flex;\n  flex-direction: row;\n  align-items: center;\n  justify-content: center;\n  z-index: 100;\n}\n\n.NavBar-module_spacer__2vgc8 {\n  height: calc(3.125rem + 2em);\n}";
var styles$3 = {"row":"NavBar-module_row__FAnz2","column":"NavBar-module_column__12NEz","NavBar":"NavBar-module_NavBar__Zy--L","spacer":"NavBar-module_spacer__2vgc8"};
styleInject(css_248z$3);

var NavBar = function (_a) {
    var children = _a.children;
    return (React__default["default"].createElement(React__default["default"].Fragment, null,
        React__default["default"].createElement("nav", { className: styles$3.NavBar }, children),
        React__default["default"].createElement("div", { className: styles$3.spacer })));
};

var css_248z$2 = ".SideNotification-module_notification__ee1M9 {\n  position: fixed;\n  z-index: 99;\n  height: fit-content;\n  width: 50%;\n  color: hsl(0deg, 0%, 100%);\n}\n.SideNotification-module_notification__ee1M9.SideNotification-module_top-left__foihW {\n  left: 10%;\n  top: 10%;\n}\n.SideNotification-module_notification__ee1M9.SideNotification-module_bottom-right__VwhVQ {\n  right: 10%;\n  bottom: 10%;\n}\n.SideNotification-module_notification__ee1M9.SideNotification-module_bottom-left__r6S6j {\n  left: 10%;\n  bottom: 10%;\n}\n.SideNotification-module_notification__ee1M9.SideNotification-module_top-right__9AQzi {\n  right: 10%;\n  top: 10%;\n}\n.SideNotification-module_notification__ee1M9.SideNotification-module_center-top__nJwCN {\n  top: 10%;\n  left: 0;\n  right: 0;\n  margin-left: auto;\n  margin-right: auto;\n}\n.SideNotification-module_notification__ee1M9.SideNotification-module_center-bottom__denjn {\n  bottom: 10%;\n  left: 0;\n  right: 0;\n  margin-left: auto;\n  margin-right: auto;\n}\n\n.SideNotification-module_blocker__vyoZ5 {\n  position: fixed;\n  z-index: 101;\n  height: 100vh;\n  width: 100vw;\n  overflow: hidden;\n  background-color: rgba(0, 0, 0, 0.4);\n}";
var styles$2 = {"notification":"SideNotification-module_notification__ee1M9","top-left":"SideNotification-module_top-left__foihW","bottom-right":"SideNotification-module_bottom-right__VwhVQ","bottom-left":"SideNotification-module_bottom-left__r6S6j","top-right":"SideNotification-module_top-right__9AQzi","center-top":"SideNotification-module_center-top__nJwCN","center-bottom":"SideNotification-module_center-bottom__denjn","blocker":"SideNotification-module_blocker__vyoZ5"};
styleInject(css_248z$2);

function SideNotification(_a) {
    var children = _a.children, className = _a.className, position = _a.position, blockContent = _a.blockContent;
    position = position === undefined ? "bottom-right" : position;
    var box = (React__default["default"].createElement(ContentBox, { className: "".concat(styles$2.notification, " ").concat(className || "", " ").concat(styles$2[position]) }, children));
    if (blockContent) {
        return React__default["default"].createElement("div", { className: styles$2.blocker }, box);
    }
    return box;
}

var css_248z$1 = ".Table-module_table__-ZPCW {\n  display: table;\n  overflow: scroll;\n  color: hsl(0deg, 0%, 83%);\n  border-collapse: collapse;\n}\n\n.Table-module_tableContainer__cHghX {\n  padding: 2em 0.5em 0.3em 0.5em;\n  padding-right: -1em;\n  overflow: hidden;\n}\n\n.Table-module_tableHorizontalContainer__Hye50 {\n  overflow-x: auto;\n}\n\n.Table-module_tableVerticalContainer__IrEP1 {\n  width: 100%;\n  height: 100%;\n  overflow-y: auto;\n  overflow-x: hidden;\n}\n\n.Table-module_row__H0wL1 {\n  display: table-row;\n  width: 100%;\n  border: 0.2em solid hsl(0deg, 0%, 13%);\n}\n\n.Table-module_cell__ZfnbG {\n  padding: 0.25em 2em 0.25em 2em;\n  display: table-cell;\n  background-color: hsl(0deg, 0%, 21%);\n}";
var styles$1 = {"table":"Table-module_table__-ZPCW","tableContainer":"Table-module_tableContainer__cHghX","tableHorizontalContainer":"Table-module_tableHorizontalContainer__Hye50","tableVerticalContainer":"Table-module_tableVerticalContainer__IrEP1","row":"Table-module_row__H0wL1","cell":"Table-module_cell__ZfnbG"};
styleInject(css_248z$1);

function Table(_a) {
    var children = _a.children, className = _a.className;
    return (React__default["default"].createElement("div", { className: "".concat(styles$1.tableContainer, " ").concat(className || "") },
        React__default["default"].createElement("div", { className: "".concat(styles$1.tableVerticalContainer) },
            React__default["default"].createElement("div", { style: { overflow: "hidden" } },
                React__default["default"].createElement("div", { className: styles$1.tableHorizontalContainer },
                    React__default["default"].createElement("div", { className: "".concat(styles$1.table) }, children))))));
}
function TableRow(_a) {
    var children = _a.children;
    var arrayChildren = React.Children.toArray(children);
    return (React__default["default"].createElement(ContentBox, { className: styles$1.row }, arrayChildren.map(function (child, index) {
        return (React__default["default"].createElement("div", { key: index, className: styles$1.cell }, child));
    })));
}

var css_248z = ".VerticalMenu-module_menu__plxiS {\n  display: flex;\n  flex-direction: column;\n}\n.VerticalMenu-module_menu__plxiS button,\n.VerticalMenu-module_menu__plxiS a {\n  margin: 0.125em 0 0.125em 0;\n}";
var styles = {"menu":"VerticalMenu-module_menu__plxiS"};
styleInject(css_248z);

function VerticalMenu(_a) {
    var menuItems = _a.menuItems, className = _a.className, menuPosition = _a.menuPosition;
    return (React__default["default"].createElement("div", { className: "".concat(styles.menu, " ").concat(className) }, menuItems.map(function (item, index) {
        return (React__default["default"].createElement(DropDownMenu, { key: index, menuItems: item, menuPosition: menuPosition }));
    })));
}

exports.ArrowIcon = ArrowIcon;
exports.CheckBox = CheckBox;
exports.CheckmarkIcon = CheckmarkIcon;
exports.CloseIcon = CloseIcon;
exports.ContentBox = ContentBox;
exports.DropDownInput = DropDownInput;
exports.DropDownMenu = DropDownMenu;
exports.HorizontalMenu = HorizontalMenu;
exports.LargeButton = LargeButton;
exports.LargeInput = LargeInput;
exports.Link = Link1;
exports.MediumButton = MediumButton;
exports.MenuIcon = MenuIcon;
exports.NavBar = NavBar;
exports.PlayIcon = PlayIcon;
exports.SideNotification = SideNotification;
exports.SmallButton = SmallButton;
exports.SortIcon = SortIcon;
exports.StarIcon = StarIcon;
exports.Table = Table;
exports.TableRow = TableRow;
exports.UserIcon = UserIcon;
exports.VerticalMenu = VerticalMenu;
exports.useClickOutside = useClickOutside;
exports.useParentProps = useParentProps;
//# sourceMappingURL=index.js.map
